For the complete documentation index, see llms.txt. This page is also available as Markdown.

MatterPak Upload

The VPS Map Creation API accepts a POST request to /v1/vps/map with a JSON payload containing map metadata and Matterport authentication.

Create Map from MatterPak

post
Authorizations
AuthorizationstringRequired

JWT token obtained from the authentication endpoint.

Body
mapNamestringRequiredExample: Showroom
headingnumber · max: 360Optional
Responses
201

Map created; MatterPak processing started.

application/json
messagestringOptional
mapIdstringOptional
statusstring · enumOptionalPossible values:
mapNamestringOptional
estimatedProcessingTimestringOptional
post/vps/map
POST /v1/vps/map HTTP/1.1
Host: api.multiset.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 296

{
  "mapName": "Showroom",
  "heading": 1,
  "coordinates": {
    "latitude": 12.997,
    "longitude": 77.7679,
    "altitude": 0
  },
  "source": {
    "provider": "matterport",
    "fileType": "matterpak",
    "coordinateSystem": "RHS",
    "processType": "cloud",
    "metadata": {
      "spaceId": "text",
      "oauthToken": "text",
      "clientId": "text",
      "clientSecret": "text"
    }
  }
}
{
  "message": "text",
  "mapId": "text",
  "status": "processing",
  "mapName": "text",
  "estimatedProcessingTime": "text"
}

Last updated

Was this helpful?